Bug 1070323 (JON3-41) - JBoss ON must support JBoss Diagnostic Reporter (JDR)
Summary: JBoss ON must support JBoss Diagnostic Reporter (JDR)
Status: CLOSED CURRENTRELEASE
Alias: JON3-41
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER01
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On: 1133537
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 15:38 UTC by Heiko W. Rupp
Modified: 2015-11-02 00:43 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:00:16 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JON3-41 Major Closed JBoss ON must support JBoss Diagnostic Reporter (JDR) [PRODMGT-561] 2017-11-27 16:13 UTC
Red Hat Bugzilla 1070431 None None None Never
Red Hat Bugzilla 1070437 None None None Never

Internal Trackers: 1070431 1070437

Description Heiko W. Rupp 2014-02-26 15:38:06 UTC
JBoss ON needs to support/integrate into JDR so that relevant configuration and log details can be captured to help troubleshoot an issue. This will save support time and effort in going back and forth when asking for information

Note that a big part of this information is already exposed via REST-api and also in the admin section of the UI via "Dump sys info" button. Those need to be consolidated.

Comment 4 Heiko W. Rupp 2014-05-20 15:01:16 UTC
Code has been merged into master as 494e4288d111769782c96bd00b70565f952970ab on May 17th
Demo was given https://www.youtube.com/watch?v=Qy6VnKfNtvw

See https://github.com/rhq-project/rhq/pull/28  also Arun from SRT provided input

Comment 5 JBoss JIRA Server 2014-05-20 15:02:07 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-41 to Resolved

Comment 10 Simeon Pinder 2014-07-31 15:52:22 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 13 Libor Zoubek 2014-08-07 13:17:34 UTC
in master

commit 6deef79c078a03dde9917d63794a52d72693c868
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Thu Aug 7 15:14:03 2014 +0200

    Bug 1070323 - (JON3-41) JBoss ON must support JBoss Diagnostic Reporter
    (JDR)
    
    Increase JDR request timeout to 10minutes

in 3.3 branch

commit e759f0a32059e366114de152996863498c8c71e5
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Thu Aug 7 15:14:03 2014 +0200
    Bug 1070323 - (JON3-41) JBoss ON must support JBoss Diagnostic Reporter
    (JDR)
    
    Increase JDR request timeout to 10minutes
    
    (cherry picked from commit 6deef79c078a03dde9917d63794a52d72693c868)
    Signed-off-by: Libor Zoubek <lzoubek@redhat.com>


there's also a productization issue with jdr-support server plugin not being built and installed to JON 3.3 - will figure this out with Simeon.

Comment 15 JBoss JIRA Server 2014-08-15 22:58:39 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-41 to Reopened

Comment 16 Simeon Pinder 2014-08-19 23:50:34 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 17 JBoss JIRA Server 2014-08-20 07:27:14 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-41 to Resolved

Comment 20 JBoss JIRA Server 2014-08-25 13:22:47 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-41 to Reopened

Comment 21 JBoss JIRA Server 2014-08-25 13:31:35 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-41 to Resolved

Comment 22 Stefan Negrea 2014-08-30 01:11:14 UTC
Depending issue closed.

Comment 23 JBoss JIRA Server 2015-07-07 19:23:50 UTC
Larry O'Leary <loleary@redhat.com> updated the status of jira JON3-41 to Closed


Note You need to log in before you can comment on or make changes to this bug.